- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchCreate.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchCreate.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchCreate.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchCreate.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchCreate.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchCreate.md.txt#body.BatchCreateYieldGroupsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchCreate.md.txt#body.aspect)
- [CreateYieldGroupRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchCreate.md.txt#CreateYieldGroupRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchCreate.md.txt#CreateYieldGroupRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchCreate.md.txt#try-it)

Batch creates `YieldGroup` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/yieldGroups:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `YieldGroups` will be created. Format: `networks/{networkCode}` The parent field in the `CreateYieldGroupRequest` must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`CreateYieldGroupRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`CreateYieldGroupRequest`)`` Required. The `YieldGroup` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `yieldGroups.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "yieldGroups": [ { object (`YieldGroup`) } ] } ``` |

| Fields ||
|---|---|
| `yieldGroups[]` | ``object (`YieldGroup`)`` The `YieldGroup` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateYieldGroupRequest

Request object for `yieldGroups.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "yieldGroup": { object (`YieldGroup`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `YieldGroup` will be created. Format: `networks/{networkCode}` |
| `yieldGroup` | ``object (`YieldGroup`)`` Required. The `YieldGroup` to create. |